kylin-weather (3.2.0.3-ok5) yangtze; urgency=medium

  * BUG号：无
  * 任务号：无
  * 其他改动说明： xc 代码合入
  * 影响域：无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed, 30 Nov 2022 15:45:04 +0800

kylin-weather (3.2.0.3-ok4) yangtze; urgency=medium

  * BUG号：无
  * 任务号：无
  * 其他改动说明：解决编译问题，修改kabase的log冲突，替换为项目下的kabaselog
  * 影响域：无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed, 20 Jul 2022 18:45:04 +0800

kylin-weather (3.2.0.3-ok3) yangtze; urgency=medium

  * BUG号：无
  * 任务号：无
  * 其他改动说明：修改编译错误
  * 影响域：无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue, 19 Jul 2022 18:45:04 +0800

kylin-weather (3.2.0.3-ok2) yangtze; urgency=medium

  * BUG号：#127713【天气】天气最小化后，点击托盘的天气无法弹出天气
	        # 127723【天气】搜索框右键菜单页面显示为英文
  * 任务号：无
  * 其他改动说明：合并主线代码
  * 影响域：均为bug修复，无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Mon, 18 Jul 2022 18:45:04 +0800

kylin-weather (3.2.0.3-ok1) yangtze; urgency=medium

  * build for openKylin

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 22 Jun 2022 18:45:04 +0800

kylin-weather (3.2.0.3) v101; urgency=medium
  
  * BUG号：# 124495【UKUI3.1.4走查】【设计】【应用】【天气】版本号错误
	        # 118852【藏文】【天气】藏文系统下天气显示为英文界面 
	        # 103641【用户手册|天气】用户手册中天气图片没有自适应窗口大小，出现显示不完整
  * 任务号：无
  * 其他改动说明：无
  * 影响域：无

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,17 Jun 2022 12:00:00 +0800

kylin-weather (3.2.0.2) v101; urgency=medium
  
  * BUG号：无
  * 任务号：无
  * 其他改动说明：解决偶现服务器返回数据异常时，天气客户端闪退的问题
  * 影响域：仅解决bug，无其他影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,10 Jun 2022 12:00:00 +0800

kylin-weather (3.2.0.1) v101; urgency=medium
  
  * BUG号：123542
   - 123542【2107升级到2203系统】2107自适应升级到2203，系统升级报包依赖冲突
  * 任务号：无
  * 其他改动说明：无
  * 影响域：系统升级时替换掉除虚包之外的indicator-china-weather的实包

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,08 Jun 2022 12:00:00 +0800

kylin-weather (3.2.0.0) v101; urgency=medium
  
  * BUG号：118409,118409，117901，113305，113290，113202
   - 118409【UIKUI 3.1.4 走查】天气逐小时查看区域部分信息缺失
   - 118151【天气】天气界面显示的日期有错误
   - 117901【用例305595】【天气】开始菜单无法打开天气应用
   - 115270【UI走查】天气部分图标同背景图不兼容
   - 113305【UI走查】时刻区域天气图标布局错误
   - 113290【UI走查】天气title栏图标布局间距错误
   - 113202【UI走查】天气主信息位置偏移
  * 任务号：84506
   - 84506【麒麟天气v3.1.3】SDK日志适配（非功能性需求）
  * 其他改动说明：调整客户端请求信息的频率，由30分钟请求一次改为60分钟一次；添加支持维哈克语言；添加平台区分
  * 影响域：调整客户端请求信息的频率，由30分钟请求一次改为60分钟一次；添加支持维哈克语言；添加平台区分

 -- zoujunnan <zoujunnan@kylinos.cn>  Sat,04 Jun 2022 12:00:00 +0800

kylin-weather (3.1.2-20) v101; urgency=medium
  
  * BUG号：100515
   - 100515 【天气】最大字号英文环境下，主界面“切换”显示不全
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复部分，无影响

 -- huji1 <huji1@kylinos.cn>  Thu,06 Jan 2022 12:00:00 +0800

kylin-weather (3.1.2-19) v101; urgency=medium
  
  * BUG号：100515
   - 100515 【天气】最大字号英文环境下，主界面“切换”显示不全
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复部分，无影响

 -- huji1 <huji1@kylinos.cn>  Wed,05 Jan 2022 18:00:00 +0800

kylin-weather (3.1.2-18) v101; urgency=medium
  
  * BUG号：100522，100515，97124，97591
   - 100522 【天气】最大字号下，切换城市界面热门城市名称底部有截断
   - 100515 【天气】最大字号英文环境下，主界面“切换”显示不全
   - 97591 【天气】打开帮助跳转到屏幕键盘界面
   - 97124 【天气】天气打开后提示的定位授权窗口未居中显示
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复部分，无影响

 -- huji1 <huji1@kylinos.cn>  Wed,05 Jan 2022 14:00:00 +0800

kylin-weather (3.1.2-17) v101; urgency=medium
  
  * BUG号：99444，96789，98557，91405
   - 99444 【天气】网络异常时天气开机自启动后，网络未连接弹窗重试按钮点击无反应
   - 96789 【天气】“网络错误”框中的“重试”无法点击
   - 98557 【天气】收藏界面的天气图标，部分与背景颜色一致，无法显示
   - 91405 【天气】更改系统图标主题，任务栏天气图标未变化
  * 需求号：无
  * 其他改动说明：优化deb包体积，无影响
  * 影响域：仅bug修复部分，无影响

 -- huji1 <huji1@kylinos.cn>  Thu,30 Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-16) v101; urgency=medium
  
  * BUG号：97588，96061，85474
   - 97588 【天气】天气主界面顶部信息间距过大
   - 96061 【天气】搜索界面收藏城市的温度与删除按钮未对齐，且过于贴近
   - 85474 【天气】天气的关于界面无应用介绍
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复部分，无影响

 -- huji1 <huji1@kylinos.cn>  Mon,27  Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-15) v101; urgency=medium
  
  * BUG号：100088
   - 100088 【天气】首次打开天气，任务栏显示两个窗口（主界面和定位弹窗）
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复部分，无影响

 -- huji1 <huji1@kylinos.cn>  Sun,26  Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-14) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：处理【天气】其他语言环境下，主界面星期几部分显示中文
  * 影响域：仅bug修复部分，无影响

 -- huji1 <huji1@kylinos.cn>  Fri,24  Dec 2021 12:00:00 +0800

kylin-weather (3.1.2-13) v101; urgency=medium
  
  * BUG号：97454
   - 97454 【PTOF】【天气】深色模式下，窗口三联和应用名显示无法看清
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Tue,21  Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-12) v101; urgency=medium
  
  * BUG号：97681，97522，97318，97279，96349，96153，96049，95693
   - 97681 【天气】点击切换按钮无任何反应，功能没生效
   - 97522 【天气】在15号字体下，天气描述显示不全
   - 97318 【天气】鼠标箭头移动到“切换”二字上时，变为手指，提示用户可点击
   - 97279 【F129】【前线】【麒麟SP1系统】【天气】字体设为15，天气界面字体没有变化
   - 96349 【天气】深色模式下，搜索界面收藏城市的背景颜色与整个窗口背景颜色不一致
   - 96153 【天气】定位弹窗选择开启定位，功能菜单允许定位显示否
   - 96049 【天气】14，15号字体天气界面文字显示不全
   - 95693 【天气】【用例130471】切换按钮不可用，无法打开搜索弹窗
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Wed,15  Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-11) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：去除打印
  * 影响域：无影响

 -- huji1 <huji1@kylinos.cn>  Mon,13  Dec 2021 15:00:00 +0800

kylin-weather (3.1.2-10) v101; urgency=medium
  
  * BUG号：96049，92706，91405，90277，87134
   - 96049 【天气】14，15号字体天气界面文字显示不全
   - 92706 【天气】服务器异常时，天气显示“网络未连接”
   - 91405 【天气】更改系统图标主题，任务栏天气图标未变化
   - 90277 【需求-天气-9371】【天气】变换图标主题，天气任务栏图标不跟随变换
   - 87134 【需求-天气-9371】【天气】超长地名显示重叠
  * 需求号：无
  * 其他改动说明：解决滑动区在触摸屏上拖拽问题
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Mon,13  Dec 2021 13:00:00 +0800

kylin-weather (3.1.2-9) v101; urgency=medium
  
  * BUG号：无
  * 需求号：无
  * 其他改动说明：解决滑动区在触摸屏上拖拽问题
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Mon,06  Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-8) v101; urgency=medium
  
  * BUG号：90122
   - 90122 【升级】【天气】升级后，控制面板的开机启动中的天气仍然存在旧版天气，并且没有图标
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Thu,02  Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-7) v101; urgency=medium
  
  * BUG号：94724
   - 94724 【SP2 UI走查】【天气】天气主界面顶部信息间距过大
  * 需求号：无
  * 其他改动说明：修复首次打开天气弹窗问题
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Wed,01  Dec 2021 16:00:00 +0800

kylin-weather (3.1.2-6) v101; urgency=medium
  
  * BUG号：87142，91245，93974
   - 87142 【需求-天气-9371】【天气】任务栏悬浮窗口名未汉化
   - 91245 【天气】【用例203277】首次启动天气，没有弹出是否允许定位的弹窗
   - 93974 【SP2 UI走查】【天气】主界面切换按钮样式不对
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Tue,30  Nov 2021 12:00:00 +0800

kylin-weather (3.1.2-5) v101; urgency=medium
  
  * BUG号：87962
   - 87962 【需求-天气-9371】【天气】断网和弱网时无加载icon
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Fri,26  Nov 2021 19:00:00 +0800

kylin-weather (3.1.2-4) v101; urgency=medium
  
  * BUG号：90691，90411，90781，89953，88667，87355，87155，90404，90772，88648，88533，88929
   - 90772【需求-天气-9643】【天气】字体最大时，搜索界面字体显示不全
   - 90781 【需求-天气-9642】【天气】深色模式下，网络异常弹窗icon与设计图不一致
   - 90691【需求-天气-9371】【天气】天气界面背景图片不跟随天气变化，一直为默认背景
   - 90411【麒麟天气】主界面UI bug
   - 90404【麒麟天气】搜索弹窗UI bug
   - 89953【需求-天气-9371】15号字体关于界面显示不全
   - 88929 【需求-触摸-7467】【触摸】【天气】天气下方 星期几-天气情况 组件可以使用手指左右滑动
   - 88667【需求-天气-9642】深色模式下，关于界面邮箱显示未反白
   - 88648【需求-天气-9371】【天气】关于界面天气图标显示大小存在问题
   - 88533【需求-天气-9371】【天气】调整为15号字体时，天气界面部分字体显示不完整
   - 87355【需求-天气-9371】主界面应用名显示为麒麟天气
   - 87155【天气】帮助打开用户手册无法定位到天气
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- huji1 <huji1@kylinos.cn>  Thu,25  Nov 2021 17:00:00 +0800

kylin-weather (3.1.2-2) v101; urgency=medium
  
  * BUG号：87320，87035，87355，88167
   - 87320【需求-天气-9371】【天气】收藏城市时概率性闪退
   - 87035【需求-天气-9371】【天气】搜索界面的天气图标，部分与背景颜色一致，无法显示
   - 87355【需求-天气-9371】【天气】主界面应用名显示为麒麟天气 
   - 88167【需求-天气-9371】【天气】24小时天气数据不准确 
  * 需求号：无
  * 其他改动说明：无
  * 影响域：更新逐小时功能数据，使用服务器返回数据

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,10  Oct 2021 10:00:00 +0800

kylin-weather (3.1.2-1) v101; urgency=medium
  
  * BUG号：87088，86564，87308
   - 87088【天气】天气最小化后无法通过快捷方式拉起
   - 86564【天气】无法直接打开天气
   - 87308 【需求-天气-9371】【天气】收藏城市未加载完时，点击城市后删除按钮天气闪退
  * 需求号：无
  * 其他改动说明：无
  * 影响域：仅bug修复，无影响

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,22  Oct 2021 10:00:00 +0800

kylin-weather (1.0.0-27) v101; urgency=medium
  
  *处理开始界面点击无效

 -- huji1 <huji1@kylinos.cn>  Thu,21  Oct 2021 17:30:00 +0800

kylin-weather (1.0.0-26) v101; urgency=medium
  
  *处理开始界面点击无效

 -- huji1 <huji1@kylinos.cn>  Thu,21  Oct 2021 17:30:00 +0800

kylin-weather (1.0.0-25) v101; urgency=medium
  
  *处理开始界面点击无效

 -- huji1 <huji1@kylinos.cn>  Thu,21  Oct 2021 11:30:00 +0800

kylin-weather (1.0.0-24) v101; urgency=medium
  
  *修改逐小时图标

 -- huji1 <huji1@kylinos.cn>  Wed,20  Oct 2021 11:30:00 +0800

kylin-weather (1.0.0-23) v101; urgency=medium
  
  *修改标题栏及关于图标

 -- huji1 <huji1@kylinos.cn>  Tue,19  Oct 2021 17:30:00 +0800

kylin-weather (1.0.0-22) v101; urgency=medium
  
  *图标点击打开天气

 -- huji1 <huji1@kylinos.cn>  Tue,19  Oct 2021 16:30:00 +0800

kylin-weather (1.0.0-21) v101; urgency=medium
  
  *desktop等安装需要

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,28  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-20) v101; urgency=medium
  
  *热门城市按钮顺序修改

 -- zoujunnan <zoujunnan@kylinos.cn>  Mon,27  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-19) v101; urgency=medium
  
  *优化--定位异常部分

 -- zoujunnan <zoujunnan@kylinos.cn>  Sun,26  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-18) v101; urgency=medium
  
  *优化

 -- zoujunnan <zoujunnan@kylinos.cn>  Sun,26  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-17) v101; urgency=medium
  
  *增加逐小时-临时接口

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,24  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-16) v101; urgency=medium
  
  *搜索-收藏界面深浅模式，添加关闭和显示在屏幕中央接口

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,17  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-15) v101; urgency=medium
  
  *将搜索-收藏界面数字等放到全局模块，优化全局模块部分

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,16  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-14) v101; urgency=medium
  
  *添加日志

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,14  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-13) v101; urgency=medium
  
  * 解收藏和当前城市刷新时界面快速闪烁；预报城市重新解析，将在前端处理的部分重新拿回后端处理。

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,14  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-12) v101; urgency=medium
  
  * 弱网超时和自动刷新，搜索-收藏界面调整

 -- zoujunnan <zoujunnan@kylinos.cn>  Tue,14  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-11) v101; urgency=medium
  
  * 增加断网联网和刷新函数

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,09  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-10) v101; urgency=medium
  
  * 调整一周预报天气

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,09  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-9) v101; urgency=medium
  
  * 调整流程，调整model/view

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,08  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-8) v101; urgency=medium
  
  * 搜索基本完成（90%）

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,03  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-7) v101; urgency=medium
  
  * 添加搜索空逻辑

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,02  Sep 2021 09:46:00 +0800

kylin-weather (1.0.0-6) v101; urgency=medium
  
  * 合并主界面代码

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,20  Aug 2021 09:46:00 +0800

kylin-weather (1.0.0-5) v101; urgency=medium
  
  * 添加搜索model/view

 -- zoujunnan <zoujunnan@kylinos.cn>  Thu,19  Aug 2021 09:46:00 +0800

kylin-weather (1.0.0-4) v101; urgency=medium
  
  * 添加本地搜索，添加数据请求功能，添加数据解析功能

 -- zoujunnan <zoujunnan@kylinos.cn>  Wed,28  Jul 2021 09:46:00 +0800

kylin-weather (1.0.0-3) v101; urgency=medium
  
  * 添加配置文件，添加core--网络检测，定位功能

 -- zoujunnan <zoujunnan@kylinos.cn>  Fri,23  Jul 2021 09:46:00 +0800

kylin-weather (1.0.0-2) v101; urgency=medium
  
  * 完善目录结构，增加单例，自启动，展示在屏幕中央

 -- zoujunnan <zoujunnan@kylinos.cn>  Mon,19  Jul 2021 09:46:00 +0800

kylin-weather (1.0.0-1) v101; urgency=medium
  
  * 首次上传

 -- zoujunnan <zoujunnan@kylinos.cn>  Sun,17  Jul 2021 09:46:00 +0800
